Toggle whether a custom voice can be copied
curl --request PATCH \
--url https://api.assistable.ai/v3/voices/{id}/allow-copy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allow_copy": true,
"subaccount_id": "<string>",
"location_id": "<string>"
}
'import requests
url = "https://api.assistable.ai/v3/voices/{id}/allow-copy"
payload = {
"allow_copy": True,
"subaccount_id": "<string>",
"location_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({allow_copy: true, subaccount_id: '<string>', location_id: '<string>'})
};
fetch('https://api.assistable.ai/v3/voices/{id}/allow-copy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"voiceId": "<string>",
"voiceName": "<string>",
"provider": "<string>",
"accent": "<string>",
"gender": "<string>",
"age": "<string>",
"previewAudioUrl": "<string>",
"isCustom": true,
"ownerId": "<string>"
},
"request_id": "<string>",
"error": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"request_id": "<string>",
"data": null
}Voices
Toggle whether a custom voice can be copied
Requires scope voices:update.
PATCH
/
v3
/
voices
/
{id}
/
allow-copy
Toggle whether a custom voice can be copied
Authorizations
Your v3 API key, e.g. ask_live_…
Headers
Target subaccount for the request. Required unless the API key is authorized for exactly one subaccount (then it defaults to that one). Alternatively pass subaccount_id (or legacy location_id) in the request body. Omitting it on a multi-subaccount key returns 400 subaccount_required.
Path Parameters
Minimum string length:
1Body
application/json
⌘I
